package com.ekexiu.project.bridge.envdata;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.DefaultValue;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.param.JdbcConn;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;
import java.util.concurrent.atomic.AtomicReference;

/**
 * Created by TT on 2019/3/8.
 */
@Path("/envData")
public class EnvDataService {
    private AtomicReference<List<EnvData>> lastData = new AtomicReference<List<EnvData>>();

    @Autowrie
    private EnvDataDao envDataDao;

    public EnvDataDao getEnvDataDao() {
        return envDataDao;
    }

    public void setEnvDataDao(EnvDataDao envDataDao) {
        this.envDataDao = envDataDao;
    }

    @Path
    @Get
    public List<EnvData> query(@JdbcConn Connection con)throws SQLException {
        return envDataDao.query(con);
    }

    @Path("/byTime")
    @Get
    public List<EnvData> query(@JdbcConn Connection con, @DefaultValue("\"00000000000000\"")String bt, @DefaultValue("\"99999999999999\"")String et)throws SQLException {
        return envDataDao.query(con, bt, et);
    }


}
